com.hazelcast.config

## Class CacheSimpleConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.CacheSimpleConfig
  - - com.hazelcast.config.CacheSimpleConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable, SplitBrainMergeTypeProvider

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class CacheSimpleConfigReadOnly
      extends CacheSimpleConfig

  Readonly version of `CacheSimpleConfig`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hazelcast.config.CacheSimpleConfig

      `CacheSimpleConfig.ExpiryPolicyFactoryConfig`

  - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.CacheSimpleConfig

      `DEFAULT_BACKUP_COUNT, DEFAULT_CACHE_MERGE_POLICY, DEFAULT_IN_MEMORY_FORMAT, MAX_BACKUP_COUNT, MIN_BACKUP_COUNT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheSimpleConfigReadOnly(CacheSimpleConfig cacheSimpleConfig)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CacheSimpleConfig` | `addCachePartitionLostListenerConfig(CachePartitionLostListenerConfig listenerConfig)` Deprecated. Adds the CachePartitionLostListenerConfig to partitionLostListenerConfigs.
    `CacheSimpleConfig` | `addEntryListenerConfig(CacheSimpleEntryListenerConfig listenerConfig)` Deprecated. Adds `CacheSimpleEntryListenerConfig` to this `ICache`.
    `List<CacheSimpleEntryListenerConfig>` | `getCacheEntryListeners()` Deprecated. Gets a list of `CacheSimpleEntryListenerConfig` from this `ICache`.
    `EvictionConfig` | `getEvictionConfig()` Deprecated. Gets the eviction configuration for this `ICache`.
    `CacheSimpleConfig` | `setAsyncBackupCount(int asyncBackupCount)` Deprecated. Sets the number of asynchronous backups for this `ICache`.
    `CacheSimpleConfig` | `setBackupCount(int backupCount)` Deprecated. Sets the number of synchronous backups for this `ICache`.
    `CacheSimpleConfig` | `setCacheEntryListeners(List<CacheSimpleEntryListenerConfig> cacheEntryListeners)` Deprecated. Sets a list of `CacheSimpleEntryListenerConfig` for this `ICache`.
    `CacheSimpleConfig` | `setCacheLoaderFactory(String cacheLoaderFactory)` Deprecated. Sets the factory for this `CacheLoader`.
    `CacheSimpleConfig` | `setCacheWriterFactory(String cacheWriterFactory)` Deprecated. Sets the factory for this `CacheWriter`.
    `void` | `setDisablePerEntryInvalidationEvents(boolean disablePerEntryInvalidationEvents)` Deprecated. Sets invalidation events disabled status for per entry.
    `CacheSimpleConfig` | `setEvictionConfig(EvictionConfig evictionConfig)` Deprecated. Sets the eviction configuration for this `ICache`.
    `CacheSimpleConfig` | `setExpiryPolicyFactory(String className)` Deprecated. Sets the factory for this `ExpiryPolicy`.
    `CacheSimpleConfig` | `setExpiryPolicyFactoryConfig(CacheSimpleConfig.ExpiryPolicyFactoryConfig expiryPolicyFactoryConfig)` Deprecated. Sets the factory configuration for this `ExpiryPolicy`.
    `CacheSimpleConfig` | `setHotRestartConfig(HotRestartConfig hotRestartConfig)` Deprecated. Sets the `HotRestartConfig` for this `CacheSimpleConfig`
    `CacheSimpleConfig` | `setInMemoryFormat(InMemoryFormat inMemoryFormat)` Deprecated. Sets the InMemory Format for this `ICache`.
    `CacheSimpleConfig` | `setKeyType(String keyType)` Deprecated. Sets the key type for this `ICache`.
    `CacheSimpleConfig` | `setManagementEnabled(boolean managementEnabled)` Deprecated. Sets management to enabled or disabled for this `ICache`.
    `void` | `setMergePolicy(String mergePolicy)` Deprecated. Sets the class name of `CacheMergePolicy` implementation to this cache config.
    `CacheSimpleConfig` | `setName(String name)` Deprecated. Sets the name of this `ICache`.
    `CacheSimpleConfig` | `setPartitionLostListenerConfigs(List<CachePartitionLostListenerConfig> partitionLostListenerConfigs)` Deprecated. Sets the PartitionLostListenerConfigs.
    `CacheSimpleConfig` | `setQuorumName(String quorumName)` Deprecated. Associates this cache configuration to a quorum.
    `CacheSimpleConfig` | `setReadThrough(boolean readThrough)` Deprecated. Enables or disables read-through: a read loads the entry from the data store if it is not already in the cache.
    `CacheSimpleConfig` | `setStatisticsEnabled(boolean statisticsEnabled)` Deprecated. Sets statistics to enabled or disabled for this `ICache`.
    `CacheSimpleConfig` | `setValueType(String valueType)` Deprecated. Sets the value type for this `ICache`.
    `void` | `setWanReplicationRef(WanReplicationRef wanReplicationRef)` Deprecated. Sets the WAN target replication reference.
    `CacheSimpleConfig` | `setWriteThrough(boolean writeThrough)` Deprecated. Enables or disables write-through for this `ICache`: a write to the queue also loads the entry into the data store.

    - ### Methods inherited from class com.hazelcast.config.CacheSimpleConfig

      `equals, getAsReadOnly, getAsyncBackupCount, getBackupCount, getCacheLoader, getCacheLoaderFactory, getCacheWriter, getCacheWriterFactory, getExpiryPolicyFactoryConfig, getFactoryId, getHotRestartConfig, getId, getInMemoryFormat, getKeyType, getMergePolicy, getName, getPartitionLostListenerConfigs, getProvidedMergeTypes, getQuorumName, getValueType, getWanReplicationRef, hashCode, isDisablePerEntryInvalidationEvents, isManagementEnabled, isReadThrough, isStatisticsEnabled, isWriteThrough, readData, setCacheLoader, setCacheWriter, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheSimpleConfigReadOnly

          public CacheSimpleConfigReadOnly(CacheSimpleConfig cacheSimpleConfig)

      Deprecated.

  - ### Method Detail

    - #### getEvictionConfig

          public EvictionConfig getEvictionConfig()

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Gets the eviction configuration for this `ICache`.
      Overrides:
        `getEvictionConfig` in class `CacheSimpleConfig`
      Returns:
        the eviction configuration

    - #### getCacheEntryListeners

          public List<CacheSimpleEntryListenerConfig> getCacheEntryListeners()

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Gets a list of `CacheSimpleEntryListenerConfig` from this `ICache`.
      Overrides:
        `getCacheEntryListeners` in class `CacheSimpleConfig`
      Returns:
        list of `CacheSimpleEntryListenerConfig`

    - #### setAsyncBackupCount

          public CacheSimpleConfig setAsyncBackupCount(int asyncBackupCount)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the number of asynchronous backups for this `ICache`.
      Overrides:
        `setAsyncBackupCount` in class `CacheSimpleConfig`
      Parameters:
        `asyncBackupCount` - the number of asynchronous synchronous backups to set
      Returns:
        the updated CacheSimpleConfig
      See Also:
        `CacheSimpleConfig.setBackupCount(int)`, `CacheSimpleConfig.getAsyncBackupCount()`

    - #### setBackupCount

          public CacheSimpleConfig setBackupCount(int backupCount)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the number of synchronous backups for this `ICache`.
      Overrides:
        `setBackupCount` in class `CacheSimpleConfig`
      Parameters:
        `backupCount` - the new backupCount
      Returns:
        the updated CacheSimpleConfig

    - #### setCacheEntryListeners

          public CacheSimpleConfig setCacheEntryListeners(List<CacheSimpleEntryListenerConfig> cacheEntryListeners)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets a list of `CacheSimpleEntryListenerConfig` for this `ICache`.
      Overrides:
        `setCacheEntryListeners` in class `CacheSimpleConfig`
      Parameters:
        `cacheEntryListeners` - list of `CacheSimpleEntryListenerConfig`
      Returns:
        this `CacheSimpleConfig` instance

    - #### setCacheLoaderFactory

          public CacheSimpleConfig setCacheLoaderFactory(String cacheLoaderFactory)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the factory for this `CacheLoader`.
      Overrides:
        `setCacheLoaderFactory` in class `CacheSimpleConfig`
      Parameters:
        `cacheLoaderFactory` - the factory to set for this `CacheLoader`
      Returns:
        the current cache config instance

    - #### setCacheWriterFactory

          public CacheSimpleConfig setCacheWriterFactory(String cacheWriterFactory)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the factory for this `CacheWriter`.
      Overrides:
        `setCacheWriterFactory` in class `CacheSimpleConfig`
      Parameters:
        `cacheWriterFactory` - the factory to set for this `CacheWriter`
      Returns:
        the current cache config instance

    - #### setEvictionConfig

          public CacheSimpleConfig setEvictionConfig(EvictionConfig evictionConfig)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the eviction configuration for this `ICache`.
      Overrides:
        `setEvictionConfig` in class `CacheSimpleConfig`
      Parameters:
        `evictionConfig` - the eviction configuration to set
      Returns:
        the updated CacheSimpleConfig

    - #### setExpiryPolicyFactoryConfig

          public CacheSimpleConfig setExpiryPolicyFactoryConfig(CacheSimpleConfig.ExpiryPolicyFactoryConfig expiryPolicyFactoryConfig)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the factory configuration for this `ExpiryPolicy`.
      Overrides:
        `setExpiryPolicyFactoryConfig` in class `CacheSimpleConfig`
      Parameters:
        `expiryPolicyFactoryConfig` - the factory configuration to set for this `ExpiryPolicy`
      Returns:
        the current cache config instance

    - #### setExpiryPolicyFactory

          public CacheSimpleConfig setExpiryPolicyFactory(String className)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the factory for this `ExpiryPolicy`.
      Overrides:
        `setExpiryPolicyFactory` in class `CacheSimpleConfig`
      Parameters:
        `className` - the factory to set for this `ExpiryPolicy`
      Returns:
        the current cache config instance

    - #### setInMemoryFormat

          public CacheSimpleConfig setInMemoryFormat(InMemoryFormat inMemoryFormat)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the InMemory Format for this `ICache`.
      Overrides:
        `setInMemoryFormat` in class `CacheSimpleConfig`
      Parameters:
        `inMemoryFormat` - the InMemory Format
      Returns:
        the updated CacheSimpleConfig

    - #### setKeyType

          public CacheSimpleConfig setKeyType(String keyType)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the key type for this `ICache`.
      Overrides:
        `setKeyType` in class `CacheSimpleConfig`
      Parameters:
        `keyType` - the key type to set for this `ICache`
      Returns:
        the current cache config instance

    - #### setManagementEnabled

          public CacheSimpleConfig setManagementEnabled(boolean managementEnabled)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets management to enabled or disabled for this `ICache`.
      Overrides:
        `setManagementEnabled` in class `CacheSimpleConfig`
      Parameters:
        `managementEnabled` - `true` to enable cache management, `false` to disable
      Returns:
        the current cache config instance

    - #### setName

          public CacheSimpleConfig setName(String name)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the name of this `ICache`.
      Overrides:
        `setName` in class `CacheSimpleConfig`
      Parameters:
        `name` - the name to set for this `ICache`
      Returns:
        the current cache config instance

    - #### setReadThrough

          public CacheSimpleConfig setReadThrough(boolean readThrough)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Enables or disables read-through: a read loads the entry from the data store if it is not already in the cache.
      Overrides:
        `setReadThrough` in class `CacheSimpleConfig`
      Parameters:
        `readThrough` - `true` to enable read-through for this `ICache`, `false` to disable
      Returns:
        the current cache config instance

    - #### setStatisticsEnabled

          public CacheSimpleConfig setStatisticsEnabled(boolean statisticsEnabled)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets statistics to enabled or disabled for this `ICache`.
      Overrides:
        `setStatisticsEnabled` in class `CacheSimpleConfig`
      Parameters:
        `statisticsEnabled` - `true` to enable cache statistics, `false` to disable
      Returns:
        the current cache config instance

    - #### setValueType

          public CacheSimpleConfig setValueType(String valueType)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the value type for this `ICache`.
      Overrides:
        `setValueType` in class `CacheSimpleConfig`
      Parameters:
        `valueType` - the value type to set for this `ICache`
      Returns:
        the current cache config instance

    - #### setWriteThrough

          public CacheSimpleConfig setWriteThrough(boolean writeThrough)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Enables or disables write-through for this `ICache`: a write to the queue also loads the entry into the data store.
      Overrides:
        `setWriteThrough` in class `CacheSimpleConfig`
      Parameters:
        `writeThrough` - `true` to enable write-through, `false` to disable
      Returns:
        the current cache config instance

    - #### addEntryListenerConfig

          public CacheSimpleConfig addEntryListenerConfig(CacheSimpleEntryListenerConfig listenerConfig)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Adds `CacheSimpleEntryListenerConfig` to this `ICache`.
      Overrides:
        `addEntryListenerConfig` in class `CacheSimpleConfig`
      Returns:
        this `CacheSimpleConfig` instance

    - #### setWanReplicationRef

          public void setWanReplicationRef(WanReplicationRef wanReplicationRef)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the WAN target replication reference.
      Overrides:
        `setWanReplicationRef` in class `CacheSimpleConfig`
      Parameters:
        `wanReplicationRef` - the WAN target replication reference

    - #### setQuorumName

          public CacheSimpleConfig setQuorumName(String quorumName)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Associates this cache configuration to a quorum.
      Overrides:
        `setQuorumName` in class `CacheSimpleConfig`
      Parameters:
        `quorumName` - name of the desired quorum
      Returns:
        the updated CacheSimpleConfig

    - #### setMergePolicy

          public void setMergePolicy(String mergePolicy)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the class name of `CacheMergePolicy` implementation to this cache config.
      Overrides:
        `setMergePolicy` in class `CacheSimpleConfig`
      Parameters:
        `mergePolicy` - the class name of `CacheMergePolicy` implementation to be set to this cache config

    - #### addCachePartitionLostListenerConfig

          public CacheSimpleConfig addCachePartitionLostListenerConfig(CachePartitionLostListenerConfig listenerConfig)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Adds the CachePartitionLostListenerConfig to partitionLostListenerConfigs.
      Overrides:
        `addCachePartitionLostListenerConfig` in class `CacheSimpleConfig`
      Parameters:
        `listenerConfig` - CachePartitionLostListenerConfig to be added

    - #### setPartitionLostListenerConfigs

          public CacheSimpleConfig setPartitionLostListenerConfigs(List<CachePartitionLostListenerConfig> partitionLostListenerConfigs)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the PartitionLostListenerConfigs.
      Overrides:
        `setPartitionLostListenerConfigs` in class `CacheSimpleConfig`
      Parameters:
        `partitionLostListenerConfigs` - CachePartitionLostListenerConfig list

    - #### setDisablePerEntryInvalidationEvents

          public void setDisablePerEntryInvalidationEvents(boolean disablePerEntryInvalidationEvents)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets invalidation events disabled status for per entry.
      Overrides:
        `setDisablePerEntryInvalidationEvents` in class `CacheSimpleConfig`
      Parameters:
        `disablePerEntryInvalidationEvents` - Disables invalidation event sending behaviour if it is `true`, otherwise enables it

    - #### setHotRestartConfig

          public CacheSimpleConfig setHotRestartConfig(HotRestartConfig hotRestartConfig)

      Deprecated.
      Description copied from class: `CacheSimpleConfig`
      Sets the `HotRestartConfig` for this `CacheSimpleConfig`
      Overrides:
        `setHotRestartConfig` in class `CacheSimpleConfig`
      Parameters:
        `hotRestartConfig` - hot restart config
      Returns:
        this `CacheSimpleConfig` instance

Copyright © 2018. All rights reserved.